Package org.apache.tools.ant.filters

# Class ReplaceTokens.Token

java.lang.Object
org.apache.tools.ant.filters.ReplaceTokens.Token

Enclosing class:
  ReplaceTokens

    public static class ReplaceTokens.Token
    extends java.lang.Object

Holds a token

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Token()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getKey()` | Returns the key for this token.
`java.lang.String` | `getValue()` | Returns the value for this token.
`void` | `setKey​(java.lang.String key)` | Sets the token key
`void` | `setValue​(java.lang.String value)` | Sets the token value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Token

public Token()

## Method Details

### setKey

public final void setKey​(java.lang.String key)
Sets the token key

Parameters:
  `key` - The key for this token. Must not be `null`.

### setValue

public final void setValue​(java.lang.String value)
Sets the token value

Parameters:
  `value` - The value for this token. Must not be `null`.

### getKey

public final java.lang.String getKey()
Returns the key for this token.

Returns:
  the key for this token

### getValue

public final java.lang.String getValue()
Returns the value for this token.

Returns:
  the value for this token